Bug 186824 - Window List applet does not correctly follow changing window titles
Window List applet does not correctly follow changing window titles
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-26 17:27 EST by Gérard Milmeister
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 14:57:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 330671 None None None Never

  None (edit)
Description Gérard Milmeister 2006-03-26 17:27:02 EST
Especially, when multiple tabs in a gnome-terminal have dynamic
titles, switching to another tab simply will display "Terminal"
in the window list. Only when the title of the current tab
is again updated (by the shell), then the text in window list
is correctly updated.
The text of tvtime is always "tvtime" in the window list,
although the actual window title display the program number and
title.
Comment 1 Gérard Milmeister 2006-03-26 17:29:16 EST
Also, if the title of the terminal gets very long, the text
in the window list doesn't get changed anymore at all.
Comment 2 Rudi Chiarito 2006-04-11 09:32:57 EDT
I think I saw this advertised as a feature (to fix some other annoying
behaviour). I agree with the reporter that this is a regression instead.
Comment 3 Gérard Milmeister 2006-04-11 11:05:30 EDT
(In reply to comment #2)
> I think I saw this advertised as a feature (to fix some other annoying
> behaviour).
Hmm, for me the previous behaviour worked perfectly well. Now it is
neither consistent, nor predictable, as I explained in the first post.
Also, I consider that very long titles keep sticking a real bug.
Comment 4 Elijah Newren 2006-05-04 20:21:46 EDT
http://bugzilla.gnome.org/show_bug.cgi?id=330671

Also, this is a metacity bug (metacity doesn't clear _NET_WM_VISIBLE_NAME when
it gets a new window title that isn't too long)
Comment 5 Ray Strode [halfline] 2006-05-10 14:57:11 EDT
Thanks Elijah.

Note You need to log in before you can comment on or make changes to this bug.